/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.hibernate.beans;

import java.io.Serializable;

/**
 *
 * ResultProbe
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class ResultProbe implements Serializable, Comparable {
    private Integer jpk = null;
    private String attributeName = null;
    private String probeIdentifier = null;
    private Integer resultFK = null;
    private Integer id = null;
    private String attributeValue = null;
    private Long timestamp = null;

    private Result result = null;
    private ProbeName probeName = null;

    public Integer getJpk() {
        return jpk;
    }

    public void setJpk(Integer jpk) {
        this.jpk = jpk;
    }

    public String getAttributeName() {
        return attributeName;
    }

    public void setAttributeName(String attributeName) {
        this.attributeName = attributeName;
    }

    public String getProbeIdentifier() {
        return probeIdentifier;
    }

    public void setProbeIdentifier(String probeIdentifier) {
        this.probeIdentifier = probeIdentifier;
    }

    public Integer getResultFK() {
        return resultFK;
    }

    public void setResultFK(Integer resultFK) {
        this.resultFK = resultFK;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAttributeValue() {
        return attributeValue;
    }

    public void setAttributeValue(String attributeValue) {
        this.attributeValue = attributeValue;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }

    public Result getResult() {
        return result;
    }

    public void setResult(Result result) {
        this.result = result;
    }

    public ProbeName getProbeName() {
        return probeName;
    }

    public void setProbeName(ProbeName probeName) {
        this.probeName = probeName;
    }

    public int compareTo(Object o) {
        if (o.hashCode() == this.hashCode()) return 0;
        if (o.hashCode()>this.hashCode()) {
            return 1;
        }
        return -1;
    }
}
