<%--
  Created by IntelliJ IDEA.
  User: goebelg
  Date: Jun 6, 2005
  Time: 3:34:19 PM
  To change this template use File | Settings | File Templates.
--%>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/sj" prefix="sj" %>


<%@ page import="org.objectweb.jimys.commons.cartography.*" %>

<html:html locale="true">
    <%@ include file="common/begin2.jsp" %>
    <body class="content">

    <sj:titleContent usingWhere="true" tomThumb="true"/>

    <sj:tabs usingWhere="true" heightTab="20">
        <sj:tab forward="monitorRule" selected="true">Cartography</sj:tab>
        <sj:panel>
            <html:errors property="error.jimys.cartography.wrong.host"/>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Select a host to get his cartography</sj:jgColTitle>
                </sj:jgRowTitle>
                      <logic:notEmpty name="connectedPumps">
                         <html:form action="/getCartography.do">
                           <logic:iterate id="h" name="connectedPumps">
                               <sj:gridrow>
                                    <sj:gridcol>
                                    <html:radio property="hostname" value="<%=h.toString()%>"/><%=h%><br>
                                    </sj:gridcol>
                                </sj:gridrow>
                           </logic:iterate>
                            <sj:gridrow>
                                <sj:gridcol>
                                    <html:submit>Get</html:submit>&nbsp;&nbsp;
                                </sj:gridcol>
                             </sj:gridrow>
                          </html:form>
                      </logic:notEmpty>
                      <logic:empty name="connectedPumps">
                          <ul>
                           <li> Your are not connected to a node, you need to be connected to at least to 1 pump</li>
                          </ul>
                      </logic:empty>
            </sj:jonasgrid>
            <logic:notEmpty name="carto">
                <br>
                <sj:jonasgrid>
                    <sj:jgRowTitle>
                        <sj:jgColTitle>Identifier</sj:jgColTitle>
                        <sj:jgColTitle>Key</sj:jgColTitle>
                        <sj:jgColTitle>Value</sj:jgColTitle>
                    </sj:jgRowTitle>
                    <logic:iterate id="c" name="carto" type="Cartography">
                        <bean:define id="cid" value="<%=c.getIdentifier()%>"/>
                        <logic:iterate id="element" name="c" property="attributes">
                            <sj:gridrow>
                              <sj:gridcol valign="top"><b><bean:write name="cid"/></b></sj:gridcol>
                              <sj:gridcol valign="top"><bean:write name="element" property="key"/></sj:gridcol>
                              <sj:gridcol valign="top"><bean:write name="element" property="value"/></sj:gridcol>
                            </sj:gridrow>
                            <bean:define id="cid" value=" "/>
                        </logic:iterate>
                        <sj:gridrow>
                              <sj:gridcol>&nbsp;</sj:gridcol>
                              <sj:gridcol>&nbsp;</sj:gridcol>
                              <sj:gridcol>&nbsp;</sj:gridcol>
                        </sj:gridrow>
                    </logic:iterate>
                </sj:jonasgrid>
           </logic:notEmpty>
           <logic:empty name="carto">
                No Cartography for host found     
           </logic:empty>
        </sj:panel>
    </sj:tabs>


    <%@ include file="common/end.jsp" %>

    </body>
</html:html>