<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/sj" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionListJvmProperties" selected="true"><bean:message key="tab.jvm.properties"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <bean:size id="listSize" name="listJvmProperties"/>
      <logic:equal name="listSize" value="0">
        <sj:gridrow>
          <sj:gridcol><bean:message key="message.jvm.properties.none"/></sj:gridcol>
        </sj:gridrow>
      </logic:equal>
      <logic:notEqual name="listSize" value="0">
        <sj:jgRowTitle>
          <sj:jgColTitle><bean:message key="label.jvm.properties.name"/></sj:jgColTitle>
          <sj:jgColTitle><bean:message key="label.jvm.properties.value"/></sj:jgColTitle>
        </sj:jgRowTitle>
        <logic:iterate id="item" name="listJvmProperties">
          <sj:gridrow>
            <sj:gridcol>
              <!--html:link forward="ActionListJvmProperties" paramId="nameProperty" paramName="item" paramProperty="name" styleClass="panel"-->
              <html:link forward="ActionViewJvmProperty" paramId="nameProperty" paramName="item" paramProperty="name" styleClass="panel">
                <bean:write name="item" property="shortName"/>
              </html:link>
            </sj:gridcol>
            <sj:gridcol>
              <bean:write name="item" property="value"/>
            </sj:gridcol>
          </sj:gridrow>
        </logic:iterate>
      </logic:notEqual>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

