<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/sj" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionViewServer" selected="true"><bean:message key="tab.server"/></sj:tab>
  <sj:tab forward="ActionViewServerJmx"><bean:message key="tab.server.jmx"/></sj:tab>
  <sj:tab forward="ActionViewServerUser"><bean:message key="tab.server.user"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="title.server.os"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.server.os.name"/></sj:jgName>
        <sj:jgValue><bean:write name="systemProperties" property="mapped(os.name)"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.server.os.version"/></sj:jgName>
        <sj:jgValue><bean:write name="systemProperties" property="mapped(os.version)"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.server.os.arch"/></sj:jgName>
        <sj:jgValue><bean:write name="systemProperties" property="mapped(os.arch)"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
    <sj:panelSeparator/>
    <sj:jonasgrid>
      <sj:jgRowTitle>
        <sj:jgColTitle><bean:message key="title.server.jvm"/></sj:jgColTitle>
      </sj:jgRowTitle>
    </sj:jonasgrid>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.server.jvm.name"/></sj:jgName>
        <sj:jgValue><bean:write name="systemProperties" property="mapped(java.vm.name)"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.server.jvm.vendor"/></sj:jgName>
        <sj:jgValue><bean:write name="systemProperties" property="mapped(java.vm.vendor)"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.server.jvm.version"/></sj:jgName>
        <sj:jgValue><bean:write name="systemProperties" property="mapped(java.vm.version)"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

