<%@ page language="java" contentType="text/html;charset=utf-8" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/sj" prefix="sj" %>

<html:html locale="true">
<%@ include file="../common/begin.jsp" %>

<body class="content">
<sj:titleContent usingWhere="true" tomThumb="true"/>
<sj:tabs usingWhere="true" heightTab="20">
  <sj:tab forward="ActionViewServer"><bean:message key="tab.server"/></sj:tab>
  <sj:tab forward="ActionViewServerJmx" selected="true"><bean:message key="tab.server.jmx"/></sj:tab>
  <sj:tab forward="ActionViewServerUser"><bean:message key="tab.server.user"/></sj:tab>
  <sj:panel>
    <sj:jonasgrid>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.server.jmx.name"/></sj:jgName>
        <sj:jgValue><bean:write name="systemProperties" property="mapped(jmx.implementation.name)"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.server.jmx.vendor"/></sj:jgName>
        <sj:jgValue><bean:write name="systemProperties" property="mapped(jmx.implementation.vendor)"/></sj:jgValue>
      </sj:gridrow>
      <sj:gridrow>
        <sj:jgName><bean:message key="label.server.jmx.version"/></sj:jgName>
        <sj:jgValue><bean:write name="systemProperties" property="mapped(jmx.implementation.version)"/></sj:jgValue>
      </sj:gridrow>
    </sj:jonasgrid>
  </sj:panel>
</sj:tabs>

<%@ include file="../common/end.jsp" %>
</body>
</html:html>

