<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html;charset=iso-8859-1" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/sj" prefix="sj" %>

<html:html locale="true">
    <%@ include file="common/begin2.jsp" %>
<body class="content">

    <sj:titleContent usingWhere="true" tomThumb="true"/>
    <html:errors property="error.jimys.mediator.connectToPump"/>
    <html:errors property="error.jimys.mediator.disconnectFromPump"/>

    <bean:define id="main" value="true"/>
    <bean:define id="detail" value="true"/>
    <bean:define id="medConfig" value="true"/>
    <sj:tabs usingWhere="true" heightTab="20">
    <sj:tab forward="pumps" paramId="main" paramName="main">Main</sj:tab>
    <sj:tab forward="mediatorDetail" paramId="detail" paramName="detail" selected="true">Detailed configuration</sj:tab>
    <sj:tab forward="toMediatorConfig" paramId="medConfig" paramName="medConfig">Mediator configuration</sj:tab>
       <sj:panel>
            <sj:jonasgrid>
                    <sj:jgRowTitle>
                      <sj:jgColTitle>Connected to</sj:jgColTitle>
                    </sj:jgRowTitle>
                <logic:notEmpty name="connectedHosts">
                    <logic:iterate id="host" name="connectedHosts">
                        <sj:gridrow>
                          <sj:gridcol>
                                <bean:define id="hostName" value="<%=host.toString()%>" />
                                <html:link forward="mediatorDetail" paramId="hostName" paramName="hostName"><%=host%></html:link>
                          </sj:gridcol>
                        </sj:gridrow>
                    </logic:iterate>
                </logic:notEmpty>
            </sj:jonasgrid>
              <logic:empty name="connectedHosts">
                  Your are not connected to a pump
              </logic:empty>
            <logic:notEmpty name="hostProbes">
                <br>
                <sj:jonasgrid>
                    <sj:jgRowTitle>
                      <sj:jgColTitle>Probe Name</sj:jgColTitle>
                      <sj:jgColTitle>Current Sample Time</sj:jgColTitle>
                      <sj:jgColTitle>New Sample Time</sj:jgColTitle>
                    </sj:jgRowTitle>

                    <logic:iterate id="probes" name="hostProbes">
                        <sj:gridrow>
                          <sj:gridcol>
                                <bean:write name="probes" property="probeName"/>
                          </sj:gridcol>
                          <sj:gridcol>
                                <bean:write name="probes" property="sampleTime"/>
                          </sj:gridcol>
                          <sj:gridcol>
                                <html:form action="/detailMediatorConfiguration.do?change=true">
                                    <html:text property="newSampleTime"></html:text>
                                    <html:hidden name="probes" property="hostName"/>
                                    <html:hidden name="probes" property="probeName"/>
                                    <html:submit>Change</html:submit>
                                </html:form>
                          </sj:gridcol>
                        </sj:gridrow>
                    </logic:iterate>
                </sj:jonasgrid>
            </logic:notEmpty>
        </sj:panel>
    </sj:tabs>


    <%@ include file="common/end.jsp" %>
</body>
</html:html>
