<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html;charset=iso-8859-1" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>

<%@ page import="java.util.Hashtable,
                 java.util.Enumeration" %>
<%@ taglib uri="/tags/sj" prefix="sj" %>

<html:html locale="true">
    <%@ include file="common/begin2.jsp" %>
<body class="content">

    <sj:titleContent usingWhere="true" tomThumb="true"/>
    <html:errors property="error.jimys.mediator.connectToPump"/>
    <html:errors property="error.jimys.mediator.disconnectFromPump"/>

    <bean:define id="main" value="true"/>
    <bean:define id="detail" value="true"/>
    <bean:define id="medConfig" value="true"/>
    <sj:tabs usingWhere="true" heightTab="20">
    <sj:tab forward="pumps" paramId="main" paramName="main" selected="true">Main</sj:tab>
    <sj:tab forward="mediatorDetail" paramId="detail" paramName="detail">Detailed configuration</sj:tab>
    <sj:tab forward="toMediatorConfig" paramId="medConfig" paramName="medConfig">Mediator configuration</sj:tab>
        <sj:panel>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Connected to</sj:jgColTitle>
                </sj:jgRowTitle>
                <sj:gridrow>
                  <sj:gridcol>
                      <html:errors property="error.jimys.mediator.disconnectFromPump.hosts.not.empty"/>
                      <html:errors property="error.jimys.mediator.disconnectFromPump.hosts.not.valid"/>
                      <logic:notEmpty name="connectedPumps">
                  &nbsp;&nbsp;(Select pumps to disconnect from)<br><br>
                      <html:form action="/disconnectDifferentPumps.do">
                      <logic:iterate id="h" name="connectedPumps">
                      <html:multibox property="hosts"><%=h%>
                      </html:multibox><%=h%><br>
                      </logic:iterate>
                      <br>
                          <html:checkbox property="disconnectAll">Check if you wanna disconnect from all</html:checkbox>
                      <br> <br>
                      <html:submit>Disconnect</html:submit>&nbsp;&nbsp;
                      </html:form>
                      </logic:notEmpty>
                      <logic:empty name="connectedPumps">
                  Your are not connected to a pump
                      </logic:empty>
                  </sj:gridcol>
                </sj:gridrow>
            </sj:jonasgrid><br>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Check the host(s) to connect to</sj:jgColTitle>
                </sj:jgRowTitle>
                <sj:gridrow>
                  <sj:gridcol>
                          <html:errors property="error.jimys.mediator.connectToPump.hosts.not.empty"/>
                          <html:errors property="error.jimys.mediator.connectToPump.hosts.not.valid"/>
                          <logic:notEmpty name="availablePumps">
                          <html:form action="/connectDifferentPumps.do">
                          <logic:iterate id="h" name="availablePumps">
                          <html:multibox property="hosts"><%=h%>
                          </html:multibox><%=h%><br>
                          </logic:iterate>
                      <br>
                          <html:checkbox property="connectAll">Check if you wanna connect to all</html:checkbox>
                      <br> <br>
                              <html:submit>Connect</html:submit>&nbsp;&nbsp;
                          </html:form>
                          </logic:notEmpty>
                          <logic:empty name="availablePumps">
                      No hosts available
                          </logic:empty>
                  </sj:gridcol>
                </sj:gridrow>
            </sj:jonasgrid><br>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Connect to</sj:jgColTitle>
                </sj:jgRowTitle>
                <sj:gridrow>
                  <sj:gridcol>
                          <html:form action="/connectToPump.do">
                      host :           
                          <html:text property="host"/>&nbsp;&nbsp;
                          <html:errors property="error.jimys.mediator.connectToPump.host.not.empty"/>
                          <html:errors property="error.jimys.mediator.connectToPump.host.not.valid"/>
                          <br>

                          port :
                          <html:text property="port"  maxlength="5" size="5"/>&nbsp;&nbsp;
                          <html:errors property="error.jimys.mediator.connectToPump.port.not.empty"/>
                          <html:errors property="error.jimys.mediato.connectToPump.port.not.valid"/>
                          <br><br>
                          <html:submit>Connect</html:submit>&nbsp;&nbsp;
                          </html:form>
                  </sj:gridcol>
                </sj:gridrow>
            </sj:jonasgrid>
             <logic:notEmpty name="connectedPumps">
             <br>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Disconnect from</sj:jgColTitle>
                </sj:jgRowTitle>
                 <sj:gridrow>
                  <sj:gridcol>
                          <html:form action="/disconnectFromPump.do">
                      host :
                          <html:text property="host"/>&nbsp;&nbsp;
                          <html:errors property="error.jimys.mediator.disconnectFromPump.host.not.empty"/>
                          <html:errors property="error.jimys.mediator.disconnectFromPump.host.not.valid"/>
                          <br><br>
                          <html:submit>Disconnect</html:submit>&nbsp;&nbsp;
                          </html:form>
                  </sj:gridcol>
                </sj:gridrow>
                </sj:jonasgrid>
            </logic:notEmpty>
        </sj:panel>
    </sj:tabs>


    <%@ include file="common/end.jsp" %>
</body>
</html:html>
