<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>

<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Collection"%>
<%@ page import="java.text.Format"%>
<%@ page import="java.util.Date"%>
<%@ taglib uri="/tags/sj" prefix="sj" %>

<html:html locale="true">
<%@ include file="common/begin2.jsp" %>
<body class="content">

<sj:titleContent usingWhere="true" tomThumb="true"/>
    <bean:define id="main" value="true"/>
    <bean:define id="detail" value="true"/>
    <sj:tabs usingWhere="true" heightTab="20">
    <sj:tab forward="getAvailableProbes" selected="true">Main</sj:tab>
    <sj:tab forward="getCharts" >Charts</sj:tab>
        <sj:panel>
            <html:errors property="error.jimys.monitoring.probe.attribute.one.time"/>
            <html:errors property="error.jimys.monitoring.probe.wrong.date"/>
         <%
          boolean show =false;
          for (int i=0; i<4;i++){
         %>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Chart <%=i%></sj:jgColTitle>
                </sj:jgRowTitle>
                <sj:gridrow>
                  <sj:gridcol>
                         <logic:notEmpty name="<%="probeList"+i%>" >
                         Select a probe : <br>
                            <html:form action="/selectMultipleProbe.do">
                                <html:hidden property="chartNumber" value="<%=Integer.toString(i)%>"/>
                                <html:select property="probeName">
                                     <html:options name="<%="probeList"+i%>" />
                                </html:select>
                                <html:submit property="add">Select Probe</html:submit>
                            </html:form>
                        </logic:notEmpty>
                        <logic:notEmpty name="<%="probeAttributeList"+i%>" >
                        Select an attribute : <br>
                            <html:form action="/selectMultipleAttribute.do">
                                <html:hidden property="chartNumber" value="<%=Integer.toString(i)%>"/>
                                <html:hidden property="probeName" value="<%=(String)request.getSession().getAttribute("probeName"+i)%>"/>
                                <html:select property="attributeName">
                                     <html:options name="<%="probeAttributeList"+i%>" />
                                </html:select>
                                <html:submit property="add">Add Attribute</html:submit>
                            &nbsp;
                            </html:form>
                        </logic:notEmpty>
                  </sj:gridcol>
                </sj:gridrow>
                <logic:notEmpty name="<%="selectedProbeList"+i%>">
                    <logic:notEmpty name="<%="selectedProbeAttributeList"+i%>">
                      <%
                      Collection sp = (Collection)request.getSession().getAttribute("selectedProbeList"+i);
                      Collection sa = (Collection)request.getSession().getAttribute("selectedProbeAttributeList"+i);
                      Iterator ip = sp.iterator();
                      Iterator ia = sa.iterator();
                      while(ip.hasNext() && ia.hasNext()){
                        show=true;
                      %>
                <sj:gridrow>
                  <sj:gridcol>
                      <html:form action="/removeProbeAttribute.do">
                            <html:hidden property="chartNumber" value="<%=Integer.toString(i)%>"/>
                             Probename : <html:hidden property="probeName" value="<%=(String)ip.next()%>" write="true"/>
                            Attributename :<html:hidden property="attributeName" value="<%=(String)ia.next()%>" write="true"/>
                            <html:submit property="remove">Remove Attribute</html:submit>
                        &nbsp;
                        </html:form>
                  </sj:gridcol>
                </sj:gridrow>
                     <%
                         }
                     %>

                    </logic:notEmpty>
                </logic:notEmpty>
            </sj:jonasgrid>
                <br>
      <%
        }
        if (show){
      %>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Show Charts</sj:jgColTitle>
                </sj:jgRowTitle>
                 <sj:gridrow>
                <sj:gridcol>
                <html:form action="/selectMultipleChart.do">

                    <%
                    Format formatter = new SimpleDateFormat("HH:mm:ss dd/MM/yyyy");

                    %>
                    <br>
                     Begin time (hh:mm:ss dd/MM/yyyy) :
                     <html:text property="beginTime" value="<%=formatter.format(new Date())%>"/><br/>
                     <html:submit property="show">Show Chart</html:submit>
                </html:form>
              </sj:gridcol>
            </sj:gridrow>
            </sj:jonasgrid>
        <%}%>
        </sj:panel>
    </sj:tabs>


<%@ include file="common/end.jsp" %>

  </body>
</html:html>