<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>

<%@ page import = "java.io.PrintWriter,
                   org.jfree.chart.ChartUtilities,
                   org.jfree.chart.ChartRenderingInfo,
                   org.jfree.chart.entity.StandardEntityCollection" %>
<%@ page import = "java.util.ArrayList" %>
<%@ page import = "java.util.Iterator" %>
<%@ page import="java.util.Collection"%>
<%@ taglib uri="/tags/sj" prefix="sj" %>

<html:html locale="true">
<%@ include file="common/begin2.jsp" %>
<META HTTP-EQUIV=REFRESH CONTENT=8>
<body class="content">

<sj:titleContent usingWhere="true" tomThumb="true"/>
    <bean:define id="main" value="true"/>
    <bean:define id="detail" value="true"/>
    <sj:tabs usingWhere="true" heightTab="20">
    <sj:tab forward="getAvailableRules">Main</sj:tab>
    <sj:tab forward="getRuleCharts" selected="true">Charts</sj:tab>
            <sj:panel>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Chart 0 - 3</sj:jgColTitle>
                </sj:jgRowTitle>
                <sj:gridrow>
                  <sj:gridcol>
                  <logic:empty name="ruleBegintime">
                      You have to chose a begintime
                  </logic:empty>
                  <logic:notEmpty name="ruleBegintime">
                <% String graphURL = request.getContextPath() + "/servlet/MultiRuleChart";%>
                  <img src="<%=graphURL%>" width="640" height="480" border="0"/>
                  </logic:notEmpty>
                  </sj:gridcol>
                </sj:gridrow>
                </sj:jonasgrid>
        </sj:panel>
    </sj:tabs>


<%@ include file="common/end.jsp" %>

  </body>
</html:html>