<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html;charset=iso-8859-1" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>

<%@ page import="java.util.Hashtable,
                 java.util.Enumeration,
                 org.objectweb.jimys.commons.configuration.*" %>
<%@ taglib uri="/tags/sj" prefix="sj" %>

  <html:html locale="true">
  <%@ include file="common/begin2.jsp" %>
  <body class="content">

  <sj:titleContent usingWhere="true" tomThumb="true"/>

    <bean:define id="activate" value="true"/>
    <bean:define id="fireRules" value="true"/>
    <bean:define id="showConfig" value="true"/>
    <sj:tabs usingWhere="true" heightTab="20">
    <sj:tab forward="engine" paramId="fireRules" paramName="fireRules" selected="true">Fire Rules</sj:tab>
    <sj:tab forward="engine" paramId="activate" paramName="activate" selected="true">Activate Deactivate Rule</sj:tab>
    <sj:tab forward="engine" paramId="showConfig" paramName="showConfig" selected="false">Show Config</sj:tab>
    <sj:panel>
      <%  if ( request.getParameter("modify")!=null ){
            if ( request.getParameter("modify").equals("success") ){%>
             Condiguration modification was successful
       <%   }else if ( request.getParameter("modify").equals("failure") ){ %>
             Condiguration modification failed
       <%   }
          } %>
      <logic:notEmpty name="configuration">
      <sj:jonasgrid>
          <sj:jgRowTitle>
            <sj:jgColTitle>Name</sj:jgColTitle>
            <sj:jgColTitle>Value</sj:jgColTitle>
          </sj:jgRowTitle>
            <sj:gridrow>
              <sj:gridcol>Fire rule after</sj:gridcol>
              <sj:gridcol>
                <html:form action="/modifyConfiguration.do">
                    <html:text property="fireRuleAfter"/> events &nbsp;&nbsp;&nbsp;
                    <html:hidden property="modifyValue" value="fireRuleAfter"/>
                    <html:submit property="modify" value="Modify"/>&nbsp;&nbsp;
                    <html:errors property="error.jimys.engine.configuration.fire.after.wrong.value"/>
                </html:form>
              </sj:gridcol>
            </sj:gridrow>
            <sj:gridrow>
              <sj:gridcol>Rule fire timer interval</sj:gridcol>
              <sj:gridcol>
                <html:form action="/modifyConfiguration.do">
                    <html:text property="ruleFireTimer"/> ms &nbsp;&nbsp;&nbsp;
                    <html:hidden property="modifyValue" value="ruleFireTimer"/>
                    <html:submit property="modify" value="Modify"/>&nbsp;&nbsp;
                    <html:errors property="error.jimys.engine.configuration.fire.timer.wrong.value"/>
                </html:form>
              </sj:gridcol>
            </sj:gridrow>
      </sj:jonasgrid>
      </logic:notEmpty>
    </sj:panel>
  </sj:tabs>

<%@ include file="common/end.jsp" %>

  </body>
</html:html>
