<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html;charset=iso-8859-1" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>

<%@ page import="org.objectweb.jimys.commons.configuration.RuleActivator"%>
<%@ taglib uri="/tags/sj" prefix="sj" %>

  <html:html locale="true">
  <%@ include file="common/begin2.jsp" %>
  <body class="content">

  <sj:titleContent usingWhere="true" tomThumb="true"/>
    <html:errors property="error.jimys.engine.rule.deactivate.not.possible"/>
    <html:errors property="error.jimys.engine.rule.activate.not.possible"/>
    <html:errors property="error.jimys.engine.rule.wrong.value"/>
    <html:errors property="error.jimys.engine.show.rule"/>
    <bean:define id="activate" value="true"/>
    <bean:define id="fireRules" value="true"/>
    <bean:define id="showConfig" value="true"/>
    <sj:tabs usingWhere="true" heightTab="20">
    <sj:tab forward="engine" paramId="fireRules" paramName="fireRules" selected="false">Fire Rules</sj:tab>
    <sj:tab forward="engine" paramId="activate" paramName="activate" selected="true">Activate Deactivate Rule</sj:tab>
    <sj:tab forward="engine" paramId="showConfig" paramName="showConfig" selected="false">Show Config</sj:tab>
    <sj:panel>
      <logic:notEmpty name="configuration">
      <sj:jonasgrid>
          <sj:jgRowTitle>
            <sj:jgColTitle>Ruleset-Rulename</sj:jgColTitle>
            <sj:jgColTitle>Activate rules</sj:jgColTitle>
            <sj:jgColTitle>Deactivate rules</sj:jgColTitle>
          </sj:jgRowTitle>
            <logic:iterate id="h" name="ruleActivator" type="RuleActivator">
                <sj:gridrow>
                <sj:gridcol>
                    <% java.util.HashMap rawSourceMap=new java.util.HashMap();
                        rawSourceMap.put("ruleset", h.getRuleset());
                        rawSourceMap.put("rulename", h.getRulename());
                        pageContext.setAttribute("rsMap",rawSourceMap);%>
                    <html:link action="/showRule.do" name="rsMap">
                        <bean:write name="h" property="ruleset"/>-<bean:write name="h" property="rulename"/>
                    </html:link>
                </sj:gridcol>

                 <logic:equal value="true" name="h" property="active">
                     <sj:gridcol> <html:submit property="activate" value="Active" disabled="true"/></sj:gridcol>
                     <sj:gridcol>
                        <html:form action="/ruleActivate.do">
                            <html:hidden name="h" property="rulename" write="false"/>
                            <html:hidden name="h" property="ruleset" write="false"/>
                            <html:submit property="activate" value="Deactivate" style="color:red;"/>
                        </html:form>
                    </sj:gridcol>
                </logic:equal>
                <logic:equal value="false" name="h" property="active">
                        <sj:gridcol>
                        <html:form action="/ruleActivate.do">
                            <html:hidden name="h" property="rulename" write="false"/>
                            <html:hidden name="h" property="ruleset" write="false"/>
                            <html:submit property="activate" value="Activate" style="color:green;" />
                        </html:form>
                      </sj:gridcol>
                      <sj:gridcol><html:submit property="activate" value="Deactive" disabled="true" style="text-align:center;"/></sj:gridcol>
                </logic:equal>
                </sj:gridrow>

           </logic:iterate>
      </sj:jonasgrid>
      </logic:notEmpty>
      <logic:notEmpty name="rulehelper">
          <br>
          <ul>
          <li><b>Rulename : </b></li>
          <bean:write name="rulehelper" property="rulename"/><br><br>
              <li><b>Condition(s) :</b></li>
              <logic:iterate id="c" name="rulehelper" property="conditions">
                <bean:write name="c"/><br>
                </logic:iterate><br>
          <li><b>Consequence :</b></li>
          <bean:write name="rulehelper" property="consequence"/>
          </ul>
      </logic:notEmpty>
    </sj:panel>
  </sj:tabs>

<%@ include file="common/end.jsp" %>

  </body>
</html:html>
