/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.webapp.visualizeDB.chartRule;

import org.objectweb.jimys.webapp.base.BaseForm;

/**
 *
 * SelectRuleAttributeForm
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class SelectRuleAttributeForm extends BaseForm {
    private Object ruleList = null;
    private Object attributeList = null;
    private String beginTime = null;

    public Object getRuleList() {
        return ruleList;
    }

    public void setRuleList(Object ruleList) {
        this.ruleList = ruleList;
    }

    public Object getAttributeList() {
        return attributeList;
    }

    public void setAttributeList(Object attributeList) {
        this.attributeList = attributeList;
    }

    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }
}
