#
# Copyright (C) 2005 - Bull S.A.
#
# Jimys - J2EE is monitoring your systm
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# --------------------------------------------------------------------------
# $Id:  $
# --------------------------------------------------------------------------
#
#
# Jimys - J2EE is monitoring your systm
# @author Georges Goebel, Marc Calvisi
#

#!/bin/bash
# Jimys run script

# -----------------------------------------------------------------------
# Check if JONAS_ROOT is set
# -----------------------------------------------------------------------
if [ ! -d $JONAS_ROOT/ejbjars ]
then
    echo "You must set JONAS_ROOT environment variable"
    exit
fi

if [ ! -n $JONAS_BASE ]
then
    echo "No JONAS_BASE defined. Using JONAS_ROOT instead"
    JONAS_BASE="$JONAS_ROOT"
fi

# -----------------------------------------------------------------------
# Check if JAVA_HOME is set
# -----------------------------------------------------------------------
if [ ! -n $JAVA_HOME ]
then
    echo "You must set JAVA_HOME environment variable"
    exit
fi

# -----------------------------------------------------------------------
# Start JONAS
# -----------------------------------------------------------------------
JONAS_START="$JONAS_ROOT/bin/unix/jonas"
$JONAS_START start

# -----------------------------------------------------------------------
# Deploy Jimys
# -----------------------------------------------------------------------
echo "Deploying Jimys."
$JONAS_START admin -a DroolsRAR.rar
echo "Deploying Jimys.."
$JONAS_START admin -a ADEngine.ear
echo "Deploying Jimys..."
$JONAS_START admin -a Mediator.ear
echo "Deploying Jimys...."
$JONAS_START admin -a DBManager.ear
echo "Deploying Jimys....."
echo "Finished : Jimys is accessible through the web interface : http://localhost:port/VisualizeJimys" 
