/**
 * Copyright (C) 2005 - Bull S.A.
 *
 * Jimys - J2EE is monitoring your system
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:  $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jimys.dbConnection.hibernate.beans;

/**
 *
 * HCartography
 *
 * @author Georges Goebel, Marc Calvisi
 */
public class HCartography {
    private Integer jpk = null;
    private Long time = null;
    private String hostID = null;
    private String probeID = null;
    private Integer deviceNbr = null;
    private String attributeName = null;
    private String attributeValue = null;

    public Integer getJpk() {
        return jpk;
    }

    public void setJpk(Integer jpk) {
        this.jpk = jpk;
    }

    public Long getTime() {
        return time;
    }

    public void setTime(Long time) {
        this.time = time;
    }

    public String getHostID() {
        return hostID;
    }

    public void setHostID(String hostID) {
        this.hostID = hostID;
    }

    public String getProbeID() {
        return probeID;
    }

    public void setProbeID(String probeID) {
        this.probeID = probeID;
    }

    public Integer getDeviceNbr() {
        return deviceNbr;
    }

    public void setDeviceNbr(Integer deviceNbr) {
        this.deviceNbr = deviceNbr;
    }

    public String getAttributeName() {
        return attributeName;
    }

    public void setAttributeName(String attributeName) {
        this.attributeName = attributeName;
    }

    public String getAttributeValue() {
        return attributeValue;
    }

    public void setAttributeValue(String attributeValue) {
        this.attributeValue = attributeValue;
    }

}
