<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<%@ page contentType="text/html;charset=iso-8859-1" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>
<%@ taglib uri="/tags/sj" prefix="sj" %>

<html:html locale="true">
    <%@ include file="common/begin2.jsp" %>
<body class="content">

    <sj:titleContent usingWhere="true" tomThumb="true"/>
    <bean:define id="main" value="true"/>
    <bean:define id="detail" value="true"/>
    <bean:define id="medConfig" value="true"/>
    <sj:tabs usingWhere="true" heightTab="20">
    <sj:tab forward="pumps" paramId="main" paramName="main">Main</sj:tab>
    <sj:tab forward="mediatorDetail" paramId="detail" paramName="detail">Detailed configuration</sj:tab>
    <sj:tab forward="toMediatorConfig" paramId="medConfig" paramName="medConfig" selected="true">Mediator configuration</sj:tab>
       <sj:panel>
          <sj:jonasgrid>
          <sj:jgRowTitle>
            <sj:jgColTitle>Name</sj:jgColTitle>
            <sj:jgColTitle>Value</sj:jgColTitle>
          </sj:jgRowTitle>
            <logic:notEmpty name="mediatorconfig">
            <logic:iterate id="element" name="mediatorconfig">
                <sj:gridrow>
                  <sj:gridcol><bean:write name="element" property="key"/></sj:gridcol>
                  <sj:gridcol>
                          <bean:write name="element" property="value"/>
                  </sj:gridcol>
                </sj:gridrow>
            </logic:iterate>
            </logic:notEmpty>
            <logic:empty name="mediatorconfig">
                No configuration found for mediator
            </logic:empty>

      </sj:jonasgrid>
        </sj:panel>
    </sj:tabs>


    <%@ include file="common/end.jsp" %>
</body>
</html:html>
