<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib uri="/tags/struts-html" prefix="html" %>
<%@ taglib uri="/tags/struts-logic" prefix="logic" %>
<%@ taglib uri="/tags/struts-bean" prefix="bean" %>

<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.Collection"%>
<%@ page import="java.text.Format"%>
<%@ page import="java.util.Date"%>
<%@ taglib uri="/tags/sj" prefix="sj" %>

<html:html locale="true">
<%@ include file="common/begin2.jsp" %>
<body class="content">

<sj:titleContent usingWhere="true" tomThumb="true"/>
    <bean:define id="main" value="true"/>
    <bean:define id="detail" value="true"/>
    <sj:tabs usingWhere="true" heightTab="20">
    <sj:tab forward="getAvailableRules" selected="true">Main</sj:tab>
    <sj:tab forward="getRuleCharts" >Charts</sj:tab>
        <sj:panel>
            <html:errors property="error.jimys.monitoring.rule.attribute.one.time"/>
            <html:errors property="error.jimys.monitoring.rule.wrong.date"/>
         <%
          boolean show =false;
          for (int i=0; i<4;i++){
         %>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Chart <%=i%></sj:jgColTitle>
                </sj:jgRowTitle>
                <sj:gridrow>
                  <sj:gridcol>
                         <logic:notEmpty name="<%="ruleList"+i%>" >
                         Select a rule : <br>
                            <html:form action="/selectRuleName.do">
                                <html:hidden property="chartNumber" value="<%=Integer.toString(i)%>"/>
                                <html:select property="ruleName">
                                     <html:options name="<%="ruleList"+i%>" />
                                </html:select>
                                <html:submit property="add">Select Rule</html:submit>
                            </html:form>
                        </logic:notEmpty>
                        <logic:notEmpty name="<%="ruleAttributeList"+i%>" >
                        Select an attribute : <br>
                            <html:form action="/selectRuleAttribute.do">
                                <html:hidden property="chartNumber" value="<%=Integer.toString(i)%>"/>
                                <html:hidden property="ruleName" value="<%=(String)request.getSession().getAttribute("ruleName"+i)%>"/>
                                <html:select property="attributeName">
                                     <html:options name="<%="ruleAttributeList"+i%>" />
                                </html:select>
                                <html:submit property="add">Add Attribute</html:submit>
                            &nbsp;
                            </html:form>
                        </logic:notEmpty>
                  </sj:gridcol>
                </sj:gridrow>
                <logic:notEmpty name="<%="selectedRule"+i%>">
                    <logic:notEmpty name="<%="selectedRuleAttribute"+i%>">
                        <% show = true;%>
                <sj:gridrow>
                  <sj:gridcol>
                      <html:form action="/removeRule.do">
                       <html:hidden property="chartNumber" value="<%=Integer.toString(i)%>"/>
                       Rulename : <%=((String)request.getSession().getAttribute("selectedRule"+i))%><br>
                       Attributename : <%=((String)request.getSession().getAttribute("selectedRuleAttribute"+i))%>
                      <html:submit property="remove">Remove Attribute</html:submit>
                      </html:form>
                  </sj:gridcol>
                </sj:gridrow>
                    </logic:notEmpty>
                </logic:notEmpty>
            </sj:jonasgrid>
                <br>
      <%
        }
        if (show){
      %>
            <sj:jonasgrid>
                <sj:jgRowTitle>
                    <sj:jgColTitle>Show Charts</sj:jgColTitle>
                </sj:jgRowTitle>
                 <sj:gridrow>
                <sj:gridcol>
                <html:form action="/selectRuleChart.do">
                   <%
                    Format formatter = new SimpleDateFormat("HH:mm:ss dd/MM/yyyy");

                    %>
                    <br>
                     Begin time (HH:mm:ss dd/MM/yyyy) :
                     <html:text property="beginTime" value="<%=formatter.format(new Date())%>"/><br/>
                     <html:submit property="show">Show Chart</html:submit>
                </html:form>
              </sj:gridcol>
            </sj:gridrow>
            </sj:jonasgrid>
        <%}%>
        </sj:panel>
    </sj:tabs>


<%@ include file="common/end.jsp" %>

  </body>
</html:html>