#
# Copyright (C) 2005 - Bull S.A.
#
# Jimys - J2EE is monitoring your systm
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# --------------------------------------------------------------------------
# $Id:  $
# --------------------------------------------------------------------------
#
#
# Jimys - J2EE is monitoring your systm
# @author Georges Goebel, Marc Calvisi
#

#!/bin/sh
# Jimys install script

# -----------------------------------------------------------------------
# Check if JONAS_ROOT is set
# -----------------------------------------------------------------------
if [ ! -d $JONAS_ROOT/ejbjars ]
then
    echo "You must set JONAS_ROOT environment variable"
    exit
fi

if [ ! -n $JONAS_BASE ]
then
    echo "No JONAS_BASE defined. Using JONAS_ROOT instead"
    JONAS_BASE="$JONAS_ROOT"
fi

# -----------------------------------------------------------------------
# Check if JAVA_HOME is set
# -----------------------------------------------------------------------
if [ ! -n $JAVA_HOME ]
then
    echo "You must set JAVA_HOME environment variable"
    exit
fi

# -----------------------------------------------------------------------
# Copy all the files to JONAS BASE
# -----------------------------------------------------------------------
cp ../dist/apps/*.ear $JONAS_BASE/apps
cp ../dist/rars/*.rar $JONAS_BASE/rars

cp ../dist/conf/* $JONAS_BASE/conf

cp ../dist/jars/JimysCommons.jar $JONAS_ROOT/lib/ext
cp ../dist/lib/*.jar $JONAS_ROOT/lib/ext

echo "Installation completed"
