#
# Copyright (C) 2005 - Bull S.A.
#
# Jimys - J2EE is monitoring your systm
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA
#
# --------------------------------------------------------------------------
# $Id:  $
# --------------------------------------------------------------------------
#
#
# Jimys - J2EE is monitoring your systm
# @author Georges Goebel, Marc Calvisi
#

#!/bin/sh
# Jimys uninstall script

# -----------------------------------------------------------------------
# Check if JONAS_ROOT is set
# -----------------------------------------------------------------------
if [ ! -d $JONAS_ROOT/ejbjars ]
then
    echo "You must set JONAS_ROOT environment variable"
    exit
fi

if [ ! -n $JONAS_BASE ]
then
    echo "No JONAS_BASE defined. Using JONAS_ROOT instead"
    JONAS_BASE="$JONAS_ROOT"
fi

# -----------------------------------------------------------------------
# Copy all the files to JONAS BASE
# -----------------------------------------------------------------------
rm $JONAS_BASE/apps/ADEngine.ear
rm $JONAS_BASE/apps/Meditator.ear
rm $JONAS_BASE/apps/DBManager.ear
rm $JONAS_BASE/rars/DroolsRAR.rar
rm $JONAS_BASE/conf/engine.properties
rm $JONAS_BASE/conf/mediator.properties
rm $JONAS_BASE/conf/rules.drl
rm $JONAS_ROOT/lib/ext/JimysCommons.jar
rm $JONAS_ROOT/lib/ext/ant-antlr-1.6.3.jar
rm $JONAS_ROOT/lib/ext/antlr-2.7.5H3.jar
rm $JONAS_ROOT/lib/ext/cglib-2.1.jar
rm $JONAS_ROOT/lib/ext/connector.jar
rm $JONAS_ROOT/lib/ext/hibernate3.jar
rm $JONAS_ROOT/lib/ext/jfreechart-1.0.0-rc1.jar
rm $JONAS_ROOT/lib/ext/xml-apis.jar
rm $JONAS_ROOT/lib/ext/ant-launcher-1.6.3.jar
rm $JONAS_ROOT/lib/ext/asm-attrs.jar
rm $JONAS_ROOT/lib/ext/commons-collections-2.1.1.jar
rm $JONAS_ROOT/lib/ext/dom4j-1.6.jar
rm $JONAS_ROOT/lib/ext/jaxen-1.1-beta-4.jar
rm $JONAS_ROOT/lib/ext/log4j-1.2.9.jar
rm $JONAS_ROOT/lib/ext/proxool-0.8.3.jar
rm $JONAS_ROOT/lib/ext/ant-swing-1.6.3.jar
rm $JONAS_ROOT/lib/ext/asm.jar
rm $JONAS_ROOT/lib/ext/commons-logging-1.0.4.jar
rm $JONAS_ROOT/lib/ext/ehcache-1.1.jar
rm $JONAS_ROOT/lib/ext/jcommon-1.0.0-rc1.jar
rm $JONAS_ROOT/lib/ext/xerces-2.6.2.jar
rm $JONAS_ROOT/lib/ext/pg74-1.216.jdbc3.jar
rm $JONAS_ROOT/lib/ext/mysql-connector-java-3.1.10-bin.jar

echo "Uninstall completed"
